Subject: Re: bug#24213: 25.1.50; Fishy use of delete-window in register.el

From: martin rudalics <[email-masked]>
Date: Sat, 13 Aug 2016 10:24:46 +0200

> The window is created by `display-buffer-below-selected' so we know its
 > ours and thus delete-window is technically safe here. Use
 > quit-window/quit-windows-on is ok as well for being defensive.
 >
 > Martin,
 >
 > it seems the documentation of display-buffer-below-selected isn't clear
 > that it only reuses a window if it displays BUFFER already.

Indeed.  I tried to correct that on master, please have a look.  Note
that if there is a non-dedicated window below the selected one showing
some other buffer, that window may get used and is strictly spoken not
"ours".  Hopefully, ‘quit-window’ does not delete it.

martin